<?php
header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Headers: *");
header("Access-Control-Allow-Methods: *");
header("Content-Type: application/json");

$servername = "localhost";
$username = "root";
$password = ""; 
$dbname = "locations"; 

$conn = new mysqli($servername, $username, $password, $dbname);

if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

$data = array();

$sql = "SELECT DISTINCT country_name AS country FROM country";
$stmt = $conn->prepare($sql);
$stmt->execute();
$result = $stmt->get_result();

while ($row = $result->fetch_assoc()) {
    $country = $row["country"];
    
    $statesQuery = "SELECT DISTINCT s.name AS state 
                    FROM states s 
                    JOIN country c ON s.country_id = c.id 
                    WHERE c.country_name = ?";
    
    $stmt = $conn->prepare($statesQuery);
    $stmt->bind_param("s", $country);
    $stmt->execute();
    $statesResult = $stmt->get_result();
    $states = array();

    while ($stateRow = $statesResult->fetch_assoc()) {
        $state = $stateRow["state"];

        $citiesQuery = "SELECT name AS city 
                        FROM city 
                        WHERE state_id = (SELECT id FROM states WHERE name=? LIMIT 1)";

        $stmt = $conn->prepare($citiesQuery);
        $stmt->bind_param("s", $state);
        $stmt->execute();
        $citiesResult = $stmt->get_result();
        $cities = array();

        while ($cityRow = $citiesResult->fetch_assoc()) {
            $cities[] = $cityRow["city"];
        }

        $states[] = array("name" => $state, "cities" => $cities);
    }

    $data[] = array("name" => $country, "states" => $states);
}

$conn->close();
echo json_encode($data);
?>